Package com.io7m.cardant.shell.internal

# Class CARoleNameConverter

java.lang.Object
com.io7m.cardant.shell.internal.CARoleNameConverter

All Implemented Interfaces:
  `com.io7m.quarrel.core.QValueConverterType<com.io7m.medrina.api.MRoleName>`

public final class CARoleNameConverter extends Object implements com.io7m.quarrel.core.QValueConverterType<com.io7m.medrina.api.MRoleName>
A value converter for role names.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CARoleNameConverter()`
  Construct a converter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<com.io7m.medrina.api.MRoleName>`
  `convertedClass()`
  `com.io7m.medrina.api.MRoleName`
  `convertFromString(String text)`
  `String`
  `convertToString(com.io7m.medrina.api.MRoleName value)`
  `com.io7m.medrina.api.MRoleName`
  `exampleValue()`
  `String`
  `syntax()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CARoleNameConverter

    public CARoleNameConverter()
    Construct a converter.

- ## Method Details

  - ### convertFromString

    public com.io7m.medrina.api.MRoleName convertFromString(String text)
    Specified by:
      `convertFromString` in interface `com.io7m.quarrel.core.QValueConverterType<com.io7m.medrina.api.MRoleName>`

  - ### convertToString

    public String convertToString(com.io7m.medrina.api.MRoleName value)
    Specified by:
      `convertToString` in interface `com.io7m.quarrel.core.QValueConverterType<com.io7m.medrina.api.MRoleName>`

  - ### exampleValue

    public com.io7m.medrina.api.MRoleName exampleValue()
    Specified by:
      `exampleValue` in interface `com.io7m.quarrel.core.QValueConverterType<com.io7m.medrina.api.MRoleName>`

  - ### syntax

    public String syntax()
    Specified by:
      `syntax` in interface `com.io7m.quarrel.core.QValueConverterType<com.io7m.medrina.api.MRoleName>`

  - ### convertedClass

    public Class<com.io7m.medrina.api.MRoleName> convertedClass()
    Specified by:
      `convertedClass` in interface `com.io7m.quarrel.core.QValueConverterType<com.io7m.medrina.api.MRoleName>`